<?php
if(count(get_included_files())==1) exit("Direct access not permitted.");
$mod = basename(__FILE__, '.php');
$page->tbCss($mod);
$page->tbJs($mod);
?>
<div class="box_daftarinformasi">
	<?php
	$judulhalaman="INFORMASI";
	$linkkategori="?";
	
	$wh="";
	$datapush=array();
	$kategori=0;
	if(isset($_GET['kategori'])){
		$kategori=$_GET['kategori'];
		$wh.="and t1.idkategori=? ";
		array_push($datapush,$kategori);
		
		$datakategori=$db->getkategoriinformasi($kategori);
		if(isset($datakategori['nama'])) $judulhalaman=$datakategori['nama'];
		
		$linkkategori.="kategori=".$kategori."&";
	}
	?>
	<h2><?php echo strtoupper($judulhalaman);?></h2>
	<?php
	$halaman=1;
	$jumlahbaris=10;
	if(isset($_GET['page']) && $_GET['page']>0){
		$halaman=$_GET['page'];
	}
	
	$datapost=array("idkategori"=>$kategori,"halaman"=>$halaman);
	$page->addLoad("daftarinformasi.sethalaman(".json_encode($datapost,true).")");
	
	$posisihalaman=$halaman-1;
	
	
	array_push($datapush,$posisihalaman,$jumlahbaris);
	
	$query="select SQL_CALC_FOUND_ROWS t1.id,
			t1.id,t1.tanggal,t1.judul,t1.konten,t1.idgambar,
			t2.nama_baru,t2.folder
		from tb_konten as t1
		inner join tb_dokumen as t2 on t1.idgambar=t2.id
		where t1.status=1 ".$wh."order by t1.tanggal desc limit ?,? ";
	$rsinformasi=$db->loadAll($query,$datapush);
	if(sizeof($rsinformasi)>0){
		$jumlahhalaman=1;
		$qrow="SELECT FOUND_ROWS() as totalbaris;";
		$rsrow=$db->loadAssoc($qrow);
		if(isset($rsrow['totalbaris'])){
			$jumlahhalaman=ceil($rsrow['totalbaris']/$jumlahbaris);
		}
		
		foreach ($rsinformasi as $obj) {
			$haltgl=explode(" ", $db->halfdate($obj['tanggal']));
			$dd="";
			$mm="";
			$yy="";
			if(sizeof($haltgl)==3){
				$dd=$haltgl[0];
				$mm=$haltgl[1];
				$yy=$haltgl[2];
			}
			
			$arrtgl=explode(" ", $obj['tanggal']);
			$jam="";
			if(sizeof($arrtgl)==2){
				$jam=substr($arrtgl[1], 0,5);
			}
			?>
			<div class="box_mod_informasi">
				<div class="box_mod_informasi_boximg">
					<img src="<?php echo NPAGE.$obj['folder'].$obj['nama_baru'];?>" />
				</div>
				<div class="box_mod_informasi_isi">
					<div class="box_mod_informasi_tanggal"><?php echo $haltgl[0]." ".$haltgl[1]." ".$haltgl[2]." - ".$jam;?></div>
					<br />
					<div class="mod_informasi_judul"><?php echo $obj['judul'];?></div>
					<div class="mod_informasi_keterangan">
						<?php 
						$string=mb_strimwidth(trim(strip_tags($obj['konten'],"<p>")), 0, 330, '');
						$string = substr($string,0,strrpos($string," ")); 
						echo trim(str_replace("&nbsp;", "", strip_tags($string)))." ...";
						?>
					</div>
					<div style="clear: both;"></div>
					<div align="right" style="padding-bottom: 10px;box-sizing: border-box;">
						<a href="<?php echo NPAGE.'informasi'.$linkkategori."id=".$obj['id'];?>">
							<div class="tombol_informasi_detail">Detail Informasi</div>
						</a>
					</div>
				</div>
				<div style="clear: both;"></div>
			</div>
			<?php
		}
	}else{
		?>
		<p>Tidak ada Informasi untuk kategori ini</p>
		<?php
	}
	
	?>
	
</div>
<?php
if(sizeof($rsinformasi)>0){
	?>
	<div class="box_halaman">
		Halaman: <select id="sl_halaman" onchange="daftarinformasi.gantihalaman()">
			<?php
			for($i=0;$i<$jumlahhalaman;$i++){
				?>
				<option value="<?php echo ($i+1);?>"><?php echo ($i+1);?></option>
				<?php
			}
			?>
		</select>
	</div>
	<?php
}
?>
